<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>
      Snake
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <ion-header collapse="condense">
    <ion-toolbar>
      <ion-title size="large">Snake</ion-title>
    </ion-toolbar>
  </ion-header>

  <section class="container">
    <div class="info">
      <span id="game_result">{{gameResult}}</span>
    </div>

    <div class="playground" #playground>
      <div *ngFor="let row of grid" class="row">
        <div *ngFor="let item of row" class="item" [ngStyle]="{backgroundColor: item}"></div>
      </div>
    </div>

    <div class="buttons">
      <ion-button (click)="changeDirection({x:  0, y: -1})" id="up">&uarr;</ion-button>
      <ion-button (click)="changeDirection({x: -1, y:  0})" id="left">&larr;</ion-button>
      <ion-button (click)="changeDirection({x:  1, y:  0})" id="right">&rarr;</ion-button>
      <ion-button (click)="changeDirection({x:  0, y:  1})" id="down">&darr;</ion-button>
      <ion-button (click)="reset()" id="center">&#8634;</ion-button>
    </div>
  </section>
</ion-content>
